Subject: Re: [PATCH] net/mlx5: Use secs_to_jiffies() instead of msecs_to_jiffies()

From: Leon Romanovsky <[email-masked]>
Date: Thu, 20 Feb 2025 14:07:54 +0200

On Thu, Feb 20, 2025 at 12:08:07PM +0100, Thorsten Blum wrote:
> On 20. Feb 2025, at 08:13, Leon Romanovsky wrote:
> > On Wed, Feb 19, 2025 at 03:45:02PM -0800, Jacob Keller wrote:
> >> On 2/19/2025 12:49 PM, Thorsten Blum wrote:
> >>> Use secs_to_jiffies() and simplify the code.
> >>> 
> >>> Signed-off-by: Thorsten Blum <[email-masked]>
> >> 
> >> nit: this is a cleanup which should have the net-next prefix applied,
> >> since this doesn't fix any user visible behavior.
> >> 
> >> Otherwise, seems like an ok change.
> > 
> > IMHO, completely useless change for old code. I can see a value in new
> > secs_to_jiffies() function for new code, but not for old code. I want
> > to believe that people who write kernel patches aware that 1000 msec
> > equal to 1 sec.
> 
> Using secs_to_jiffies() is shorter and requires less cognitive load to
> read imo. Plus, it now fits within the preferred 80 columns limit.

Unfortunately, I see this change as a churn and not an improvement.

> 
> This "old code" was added in d74ee6e197a2c ("net/mlx5: HWS, set timeout
> on polling for completion") in January 2025.

I got same conversion patches for RDMA.
https://lore.kernel.org/all/[email-masked]

Thanks

> Thanks,
> Thorsten